<View::Base::SourceRecord
  class="page-col-campaign-form use-highlights"
  @isEditor={{@isEditor}}
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @onLoad={{this.setup}}
  as |record|
>
  {{#if this.canContribute}}
    {{#if (or this.fastboot.isFastBoot (not this.answer))}}
      <div class="text-center mt-5 mb-5">
        <div class="spinner-border spinner-border-sm" role="status">
          <span class="d-none">Loading...</span>
        </div>
      </div>
    {{else}}
      <div class="questions-section">
        <Input::QuestionList
          @isEditor={{@isEditor}}
          @onValidate={{this.validateQuestions}}
          @questions={{record.questions}}
          @campaign={{record}}
          @colValue={{@value}}
          @path={{@path}}
          @state={{@state}}
          @onChange={{this.changeAttributes}}
        />
      </div>

      {{#each this.iconAttributes.groups as |group|}}
        <Attributes::GroupContainer
          @icons={{this.iconGroup}}
          @group={{group}}
          @onChange={{this.handleAnswer}}
          @remove={{this.handleRemove}}
          @addSection={{this.addSection}}
        />
      {{/each}}

      {{#if this.showAboutYouSection}}
        <div class="about-you-section">
          <h4>{{t "about you"}}</h4>
          <p>{{t "about-you-info"}}</p>

          <Input::QuestionList
            @isEditor={{@isEditor}}
            @onValidate={{this.validateContributor}}
            @questions={{record.contributorQuestions}}
            @name={{@value.name}}
            @path={{@path}}
            @useCurrentUser={{true}}
            @onChange={{fn this.change "contributor"}}
          />
        </div>
      {{/if}}

      <div class="d-grid mt-3">
        <View::ButtonStyle
          class="btn btn-submit btn-submit-campaign"
          @value={{this.submitBtnValue}}
          {{on "click" this.submit}}
          disabled={{this.isDisabled}}
          data-type="submit button"
          data-editor="button-style"
          data-path={{concat @path ".data.submit"}}
          data-name={{@value.name}}
          data-gid={{this.valueGid}}
        >
          {{capitalize (t "submit")}}
          {{#if this.isLoading}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}
        </View::ButtonStyle>
      </div>
    {{/if}}
  {{else}}
    <div class="alert alert-warning" role="alert">
      <h4 class="alert-heading">
        {{t "survey-registered-users-only-title"}}
      </h4>
      <p>
        {{t "survey-registered-users-only-message"}}
      </p>
      <hr />
      <p class="mb-0">
        <LinkTo @route="login" class="alert-link">
          {{t "Please sign in here."}}
        </LinkTo>
      </p>
    </div>
  {{/if}}
</View::Base::SourceRecord>